"""

Some necessary constants

"""

# -----------------------------------------------------------------------------
# Some default values ... usually this is ok for you ;-)

title = "ECLiPt Roaster"
version = "Version 2.1.0"
year = "1998-2002"

configdirectory = ".eroaster"                 # Directory containing configuration files
deffile = "eroasterrc"                        # Name of the main configfile
shortcutfile = "shortcuts"

# Frame labels
datacd = "  Data CD "
audiocd = "  Audio CD "
imagecd = "  ISO Image "
options = " Preferences "
special = " Special "
readcd = " Read CD "
copycd = " Copy CD "

iconpath = "/usr/share/eroaster/pixmaps"

frames = [datacd, audiocd, imagecd, readcd, copycd, special, options]         # List of frames

AudioCD = "Audio CD"
DataCD = "Data CD"
ImageCD = "CD Image"
modeDataCDImage = "Data CD Image"
BlankCDAll = "Blank CD (complete)"
BlankCDMinimal = "Blank CD (minimal)"
BlankCDLast = "Blank CD (last session)"
modeCopyCD = "Copy CD"
modeReadCD = "Read CD"
modeReadAudioCD = "Read Audio CD"
modeFixateCD = "Fixate CD"

ecat = "/usr/lib/eroaster/ecat.py"

systemshortcutfile = "/usr/lib/eroaster/eroaster.shortcuts"

waitreload = "/usr/lib/eroaster/waitreload.py"

socketport = 27537

# Constants for the different device types
deviceRecorder = 0
deviceReader = 1

# Constants for mp3 players
playerMpg123 = "mpg123"
playerXMMS = "xmms"
playerFreeAmp = "freeamp"

# Miscellaneous constants
audioinfostring = "AudioFileInfo"

# CDR Sizes
cdrSize650 = "650MB"
cdrSize700 = "700MB"

# Startup types for ERoaster when called from ERoaster applet
eraDataCD = "--data"
eraAudioCD = "--audio"
eraCopyCD = "--copy"
eraCDImage = "--image"
